//box.cpp file
#include "box.h"

const int PPM = 30;

CBox::CBox(b2World & world)
{
   //m_shape = sf::Shape::Rectangle(0,0,50,50,sf::Color(255,255,255));
   //m_shape.SetCenter(25,25);
   m_bodyDef.position.Set(400/PPM,300/PPM);
   m_bodyDef.type = b2_dynamicBody;
   m_bodyShape.SetAsBox(25.0f/PPM,25.0f/PPM);
   m_bodyFix.shape = &m_bodyShape;
   m_bodyFix.density = 0.1f;
   m_bodyFix.friction = 0.1f;
   m_body = world.CreateBody(&m_bodyDef);
   m_body->CreateFixture(&m_bodyFix);
}

void CBox::SetWorld(b2World & world)
{
   m_body = world.CreateBody(&m_bodyDef);
   m_body->CreateFixture(&m_bodyFix);
}

CBox::CBox()
{
   //m_shape = sf::Shape::Rectangle(0,0,10,10,sf::Color(255,255,255));
   //m_shape.SetCenter(5,5);
   m_bodyDef.position.Set(400/PPM,300/PPM);
   m_bodyDef.type = b2_dynamicBody;
   m_bodyShape.SetAsBox(5.0f/PPM,5.0f/PPM);
   m_bodyFix.shape = &m_bodyShape;
   m_bodyFix.density = 0.1f;
   m_bodyFix.friction = 0.1f;

}

b2Body* CBox::GetBody()
{
   return m_body;
}

/*sf::Shape & CBox::GetShape()
{
   return m_shape;
}*/

void CBox::update()
{
   //m_shape.SetRotation( m_body->GetAngle() );
   //m_shape.SetPosition( m_body->GetPosition().x*PPM, m_body->GetPosition().y*PPM );
}

CBox::~CBox()
{
}
