/*
* Copyright (c) 2006-2009 Erin Catto http://www.box2d.org
*
* This software is provided 'as-is', without any express or implied
* warranty.  In no event will the authors be held liable for any damages
* arising from the use of this software.
* Permission is granted to anyone to use this software for any purpose,
* including commercial applications, and to alter it and redistribute it
* freely, subject to the following restrictions:
* 1. The origin of this software must not be misrepresented; you must not
* claim that you wrote the original software. If you use this software
* in a product, an acknowledgment in the product documentation would be
* appreciated but is not required.
* 2. Altered source versions must be plainly marked as such, and must not be
* misrepresented as being the original software.
* 3. This notice may not be removed or altered from any source distribution.
*/

#ifndef PUFIXAS_H
#define PUFIXAS_H

#include "box.h"

const int boxes = 100;

class pufixas : public Test
{

    CBox good[boxes];

public:
    pufixas()
    {
        const int PPM = 30;
        struct body
        {
            b2BodyDef DEF;
            b2PolygonShape SHAPE;
            b2FixtureDef FIX;
            b2Body * BOD;
        };

        body ground;
        ground.DEF.position.Set(400.0f/PPM,0.0f/PPM);
        //ground.RECT = sf::Shape::Rectangle(0,0,8000,50,sf::Color(255,255,255));
        //ground.RECT.SetCenter(4000,25);
        ground.SHAPE.SetAsBox(4000.0f/PPM,25.0f/PPM);
        ground.BOD = m_world->CreateBody(&ground.DEF);
        ground.FIX.shape = &ground.SHAPE;
        ground.BOD->CreateFixture(&ground.SHAPE,1.0f);


        for(int i = 0; i < boxes; i++)
            good[i].SetWorld(*m_world);
    }

    static Test* Create()
    {
        return new pufixas;
    }
};

#endif
